Page MenuHomePhabricator

[OPENMP]Fix PR48851: the locals are not globalized in SPMD mode.
ClosedPublic

Authored by ABataev on May 5 2021, 8:04 AM.

Details

Summary

Follow the more general patch for now, do not try to SPMDize the kernel
if the variable is used and local.

Diff Detail

Event Timeline

ABataev created this revision.May 5 2021, 8:04 AM
ABataev requested review of this revision.May 5 2021, 8:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 5 2021, 8:04 AM
Herald added a subscriber: sstefan1. · View Herald Transcript

Hi Ethan, try this patch if it fixes the issue.

Hi Ethan, try this patch if it fixes the issue.

Tested this on gfx906 and v100, the main reproducer now passes.

estewart08 accepted this revision.May 7 2021, 5:55 PM

LGTM as a temporary workaround until SPMD properly assigns team private variables.

This revision is now accepted and ready to land.May 7 2021, 5:55 PM
This revision was landed with ongoing or failed builds.May 10 2021, 6:43 AM
This revision was automatically updated to reflect the committed changes.